## ros-noetic-nav-grid-pub-sub 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(nav_grid_pub_sub)
set_directory_properties(PROPERTIES COMPILE_OPTIONS "-std=c++11;-Wall;-Werror")

find_package(catkin REQUIRED
    COMPONENTS
        geometry_msgs
        map_msgs
        nav_2d_msgs
        nav_2d_utils
        nav_core2
        nav_grid
        nav_grid_iterators
        nav_msgs
        roscpp
)

catkin_package(
    CATKIN_DEPENDS
        geometry_msgs
        map_msgs
        nav_2d_msgs
        nav_2d_utils
        nav_core2
        nav_grid
        nav_grid_iterators
        nav_msgs
        roscpp
    INCLUDE_DIRS include
    LIBRARIES nav_grid_pub_sub
)
include_directories(
    include ${catkin_INCLUDE_DIRS}
)

add_library(nav_grid_pub_sub src/cost_interpretation_tables.cpp)
target_link_libraries(nav_grid_pub_sub ${catkin_LIBRARIES})
add_dependencies(nav_grid_pub_sub ${catkin_EXPORTED_TARGETS})

if(CATKIN_ENABLE_TESTING)
    find_package(roslint REQUIRED)
    roslint_cpp()
    roslint_add_test()
endif()

install(
    TARGETS nav_grid_pub_sub
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(
    DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-nav-grid-pub-sub (0.3.0-2focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 11 Dec 2020 20:51:25 -0000

=== debian/control ===
Source: ros-noetic-nav-grid-pub-sub
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-map-msgs, ros-noetic-nav-2d-msgs, ros-noetic-nav-2d-utils, ros-noetic-nav-core2, ros-noetic-nav-grid, ros-noetic-nav-grid-iterators, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-roslint
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-nav-grid-pub-sub
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-map-msgs, ros-noetic-nav-2d-msgs, ros-noetic-nav-2d-utils, ros-noetic-nav-core2, ros-noetic-nav-grid, ros-noetic-nav-grid-iterators, ros-noetic-nav-msgs, ros-noetic-roscpp
Description: Publishers and Subscribers for nav_grid data.
